REGISTER_FIRMWARE(9)

NAME
register_firmware - provide a firmware image for later usage

SYNOPSIS

void register_firmware (const char * name, const u8 * data, size_t size);

ARGUMENTS

name
    name of firmware image file

data
    buffer pointer for the firmware image

size
    size of the data buffer area

DESCRIPTION

Make sure that data will be available by requesting firmware name.

NOTE

This will not be possible until some kind of persistence is available.